Bug 424961 - [control-center] default applications properties show oversized firefox icon
[control-center] default applications properties show oversized firefox icon
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-14 09:18 EST by Joachim Frieben
Modified: 2008-03-01 07:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 07:18:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of preferred applications applet with oversized firefox icon (65.80 KB, image/png)
2007-12-14 14:51 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-12-14 09:18:45 EST
Description of problem:
When changing the default browser from firefox to epiphany by means of
'gnome-default-applications-properties', one spots a cropped and
significantly oversized firefox icon labeling the 'Firefox' entry in
the 'Web Browser' menu list.

Version-Release number of selected component (if applicable):
control-center-2.21.2-2.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Launch 'gnome-default-applications-properties'.
  
Actual results:
A huge cropped firefox icon appears in the item list.

Expected results:
A suitably scaled firefox icon appears in the item list.

Additional info:
Corresponding icons for elinks, epiphany, w3m etc. are sized correctly.
Comment 1 Joachim Frieben 2007-12-14 14:51:30 EST
Created attachment 289361 [details]
Screenshot of preferred applications applet with oversized firefox icon
Comment 2 Bastien Nocera 2007-12-17 06:46:32 EST
Which icon theme and version of firefox are you using?
My guess is that firefox doesn't provide an appropriate icon for that size. Do
you get an appropriate one in the applications menu?
Comment 3 Joachim Frieben 2007-12-17 08:23:14 EST
(In reply to comment #2)
> Which icon theme and version of firefox are you using?

The icon theme seen in screenshot from comment #1 was "Fedora" but the
issue persists for other icon themes like "Bluecurve", too. The current
firefox package is "firefox-2.0.0.10-5.fc9" from the "rawhide" tree.
Comment 4 Joachim Frieben 2008-03-01 07:18:49 EST
Fixed in control-center-2.21.92-1.fc9.

Note You need to log in before you can comment on or make changes to this bug.